Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.sp
Class SpWrapper

    java.lang.Object
      |
      +--oracle.soap.providers.sp.SpWrapper

public final class SpWrapper
extends java.lang.Object

`SpWrapper` uses reflection on the compiled JPublisher/SQLJ generated Java class that is a proxy for a PL/SQL package.

The wrapper generates a new class with every public method in the PL/SQL package proxy. The generated methods acquire a proxy from a pool (serializing access if a proxy is not available) and use it to invoke the PL/SQL method on the database.

The wrapper also generates constructors that perform initialization by communicating with the `SpProvider` (which creates the SQLJ default contexts for use in initializing the PL/SQL proxy.

Constructor Summary
`SpWrapper()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Wrap generated PL/SQL package proxy classes given the: the target java package name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpWrapper

    public SpWrapper()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Wrap generated PL/SQL package proxy classes given the:

  - the target java package name.
  - the atomic class name for the generated wrapper class.
  - the SOAP name of the SP provider.
  - the SOAP name for the SP service represented by the wrapper class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.